Zonemaster::Test::Consistency(3pm)

NAME
Zonemaster::Test::Consistency - Consistency module showing the expected structure of Zonemaster test modules

SYNOPSIS
    my @results = Zonemaster::Test::Consistency->all($zone);

METHODS

all($zone)
    Runs the default set of tests and returns a list of log entries made by the tests.

metadata()
    Returns a reference to a hash, the keys of which are the names of all test methods in the module, and the corresponding values are references to lists with all the tags that the method can use in log entries.

translation()
    Returns a reference to a hash with translation data. Used by the builtin translation system.

version()
    Returns a version string for the module.

TESTS

consistency01($zone)
    Query all nameservers for SOA, and see that they all have the same SOA serial number.

consistency02($zone)
    Query all nameservers for SOA, and see that they all have the same SOA rname.

consistency03($zone)
    Query all nameservers for SOA, and see that they all have the same time parameters (REFRESH/RETRY/EXPIRE/MINIMUM).

consistency04($zone)
    Query all nameservers for NS set, and see that they have all the same content.

consistency05($zone)
    Verify that the glue records are consistent between glue and authoritative data.